* Unbanked programs, formats;
* NOFMTERR http://support.sas.com/kb/44/047.html;

* BEGIN MACRO CODE;
%macro recode;
%put Read recode macro;

* Variable re-codeing;
proc format;
        value empstatcode
		10-12='1'
		21-36='2'
		;
        value empstatcoded
		1='Work'
		2='NoWork'
		;
		value whyunempcode
		1-3='1'
		4-6='2'
		;
		value whyunempcoded
		low-<1='Missing'
		1='UnempInvol'
		2='UnempVol'
		;
        value workdropcoded
		0='Work: 0???'
		1='Work: 10??'
		2='Work: 110?'
		3='Work: 1110'
		4='Work: 1111'
		;
        value faminccode
		100-500='1'
		600-730='2'
		740-820='3'
		830-841='4'
		842='5'
		843='6'
		995-999='0'
		;
        value faminccoded
		0='Missing'
		1='$0 - 19,999'
		2='$20,000 - 39,999'
		3='$40,000 - 59,999'
		4='$60,000 - 99,999'
		5='$100,000 - 149,999'
		6='$150,000 and over'
		;
run;

* response patterns jan (7 or 8);
proc format;
	value pattern_basic_long
	1='1: months 1-8'
	2='2: months 1-4, 5'
	3='3: months 1-4'
	4='4: months 1, 2|3|4, 5'
	5='5: months 1, 2|3|4'
	6='6: months 1'
	7='7: months else'
	8='8: months NA'
	;
	value pattern_asec_long
	1='1: asec 1 and 2'
	2='2: asec 1 at least'
	3='3: asec 2 (not 1)'
	4='4: asec else'
	5='5: asec NA'
	;
run;

* optimal sequences jan7;
proc format;
        value $seqbasicperfect
    	'11110001111000'=1
    	'01111000111100'=2
    	'00111100011110'=3
    	'00011110001111'=4
        ;
        value $seqasecperfect
    	'00000100000010'=1
        ;
        value $sequnbankperfect
    	'00000000001000'=1
        ;
run;

* Household and Reference Person;
proc format;
	value wkstatcode
	11='Full-time (35+)'
	12-42='Part-time'
	50-60='Unemployed'
	99='NIU, blank, or not in labor force'
	;
	value agecode
	17-34='17-35'
	35-54='35-54'
	55-64='55-64'
	65-70='65-70'
	;
	value sexcode
	1='Male'
	2='Female'
	9='NIU'
	;
	value racecode
	100='White'
	200='Black'
	200-<900='All others'
	999<-high='No response'
	;
	value hispancode
	0='Not Hispanic'
	0<-900='Hispanic'
	900<-high='No response'
	;
	value educcode
	0-1='NIU or blank'
	2-<73='Less than HS'
	73='HS or equivalent'
	74-110='Some college'
	111-125='College degree +'
	999-high='Missing/Unknown'
	;
	value marstcode
	1='Married w spouse'
	2-7='Other'
	9-high='NIU'
	;
	value bplcode
	9900='US born'
	9900-96000='Foreign born'
	99999-high='NIU'
	;
	value labforcecode
	1='No, not in the labor force'
	2='Yes, in the labor force'
	;
	value metrocode
	1='Not in metro area'
	2-4='In metro area'
	;
	value employcode
	1='Employed'
	2='Unemployed'
	3='NILF'
	4='Other'
run;

* Reasons;
proc format;
	value hunbnkrmv_all
	-1='NIU'
	0='Other reasons'
	1-3='Financial reason'
	99='Unknown'
	;
	value huseafscrsn_all
	-1='NIU'
	0='Other reasons'
	1='Lost income'
	99='Unknown'
	;
	value hevent
	0='None or other'
	1='Loss of income or job'
	2='rise in income or new job'
	3='Retire, rise in expense'
	;
run;

*END MACRO CODE;
%mend recode;

*RUN MACRO CODE;
%recode;
