/*********************************************************************************************
	MACRO NAME: module_01_read_fdic
	PURPOSE: FDIC Unbanked pull
*********************************************************************************************/

* BEGIN MACRO CODE;
%macro run_read_fdic;

proc import datafile="&dirdata.\FDICunbanked\hhmultiyear\sas_fmt\formatData.csv" out=fmtdataset dbms=dlm replace;
   delimiter=",";
   getnames=yes;
   GUESSINGROWS=10000;
run;

PROC FORMAT library=DATAWORK.catalog CNTLIN=fmtdataset;
RUN;

proc catalog catalog = DATAWORK.catalog;
contents;
run;
quit;

* options fmtsearch=(DATAWORK.catalog);

* how to turn off formats
*OPTIONS FMTSEARCH=( WORK LIBRARY) NOFMTERR NONOTES;

* multiyear;
proc import datafile="&dirdata.\FDICunbanked\hhmultiyear\hh_multiyear_analys.csv" out=work.multi dbms=dlm replace;
   delimiter=",";
   getnames=yes;
run;

data DATAWORK.hmultiyear;
	set work.multi;
%include "&dirdata.\FDICunbanked\hhmultiyear\sas_fmt\multiyear_format_hh_survey.sas"; 
run;

proc contents data=DATAWORK.hmultiyear;
	title "Unbanked Contents";
run;

proc freq data=DATAWORK.hmultiyear;
	title "Years included";
	table hryear4 /missing;
run;

*END MACRO CODE;
%mend run_read_fdic;
