/*********************************************************************************************
	MACRO NAME: module_01_read
	PURPOSE: Read in IPUMS data
	SAMPLE: FDIC (2011,2013,2015,2017,2019 Jun)
*********************************************************************************************/

* BEGIN MACRO CODE (CUSTOM);
%macro run_read_ju11;

* macros;
%include "&dirvint.\macros\read.sas";

* Sample name, shorthand;
%let samp=ju11;
* IPUMS extract name (numbered by IPUMS CPS);
%let ipums=cps_00020;
* library to pull from;
%let ipumlib=IPUMMAMJ;
* list valid start mtime;
%let validmtimelist=135,136,137,138,159,160,161,162,183,184,185,186,207,208,209,210,231,232,233,234;*,255,256,257,258;
* list valid start year series for June sequences (corresponding to order of validmtimelist);
%let validserieslist=1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5;*,6,6,6,6;

* Read in IPUMS and split into basic and ASEC files;
%macro_read_ipum;

* Select only the first observation of each person and add month frame;
%macro_read_first;

* Add back monthly data and output person-level file;
%macro_read_person;

*END MACRO CODE (CUSTOM);
%mend run_read_ju11;
