/*********************************************************************************************
	MACRO NAME: module_02_vars
	PURPOSE: Investigate data
	SAMPLE: FDIC Unbanked
*********************************************************************************************/

* BEGIN MACRO CODE (CUSTOM);
%macro run_vars_fdic;

* Sample name, shorthand;
%let samp=fdic;

* load unbanked;
options  fmtsearch=(UNBANKED.catalog);
data hmultiyear;
	set DATAWORK.hmultiyear (rename=(hrhhid=hrhhid_num));
	hrhhid=trim(put(hrhhid_num,$15.));
run;

* review;
proc freq data=hmultiyear;
	title "Review";
	table hryear4*hunbnk
		  hryear4*hbankstat 
		  hryear4*hafsunbnk	
		  hryear4*hbankstatv2
		  hryear4*hddacct
		  hryear4*hdirdep
		  hryear4*htypincddbnk
		  hryear4*hevent1
		  hryear4*hevent3
		/missing;
run;

* tabulate;
proc freq data= hmultiyear order= freq; 
              tables huserto hryear4 hhfamtyp hbankstatv2 hunbnk;  
            run;

PROC TABULATE DATA= hmultiyear  FORMAT=COMMA11.0;
      where hsupresp = 1;
      WEIGHT hsupwgtk ;
      CLASS hunbnk hryear4;
      VAR hsupresp;
      LABEL hsupresp='';
      TABLE hryear4,
                        all (all hunbnk)*
                              hsupresp*(SUM='Households (1000s)' rowpctsum='Percent'*F=COMMA5.1) / RTS=18;
RUN;

*END MACRO CODE (CUSTOM);
%mend run_vars_fdic;
