* Unbanked CPS results, FDIC survey in second year of CPS, households - Mark Kutzbach
set more off
set linesize 140

clear all
macro drop _all
set matsize 800

* set version number and run name
global vnum="26"
global vers="ju10"
global verspost="main"
global datasuf=""

* vintage name
global vint="unbanked_${vnum}"
display "Analysis for Vintage name: ${vint}"

* programs
global projdir="C:\user\documents\Unbanked\vintages\\${vint}"
cd "$projdir"

#delimit;
****** Edits and Programs ******;

* Code for variable lists, sample restrictions, estimation, and outputs;
include unbanked${vnum}_programs_results.do;

****** Summary Statistics and Selection ******;

* Summary Statistics for Sample of low earning renters, by: some (partial) attrition allowed after MIS 5, by: all, month 5 not re-employmed, month 5 re-employed;
* Remain employed;
sumstat "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "restrictlev1" "hhjobloss_u_m2";
sumstat "hhjobloss_um205_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "restrictlev1" "hhjobloss_um205";
sumstat "hhjobloss_um2E5_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "restrictlev1" "hhjobloss_um2E5";
treatexplain "est_hhjobloss_u_m2 est_hhjobloss_um205 est_hhjobloss_um2E5" "m2_vs_emp_restrictlev1_patt5_um205_um2E5" "hhjobloss_u_m2 hhjobloss_um205 hhjobloss_um2E5" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs employed m2, m3, m4 - some attrition, um205 not re-employ in m5, um2E5 is re-employ in m5" "${controlvars} ${controlvarstimeinds}";

****** Table 5 Persistence of the job loss effect on probability of being unbanked and Table 9 *****;

* Remain employed, some attrition;
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1, some attrition patt5" "hhjobloss_u_m2_vs_emp_restrictlev1_patt5";

* Remain employed, Interact by HH employed in month 5 some attrition patt5;
estmodcpsintr "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_um205" "hunbank" "hhjobloss_um2E5";
estmodcpsintr "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb shtr" "hhjobloss_um205" "hunbankshtr" "hhjobloss_um2E5";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, some attrition patt5, with mutually exclusive hhjobloss_um205 hhjobloss_um2E5" "hhjobloss_um205_vs_emp_restrictlev1_intr_hhjobloss_um2E5_patt5" "hhjobloss_um2E5";

****** Alternative specification, Interact by HH employed in month 4 ******;

* Footnote: We also drop households that attrite in the first month observed in the year of the FDIC survey (i.e., MIS=5). ;
* We examined several alternative specifications and attrition restrictions to the Persistence specification presented here, ;
* results (not shown for brevity) were qualitatively similar. ;

* Remain employed, some attrition;
estmodcpsintr "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_um204" "hunbank" "hhjobloss_um2E4";
estmodcpsintr "hhjobloss_u_m2_vs_emp_patt5" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_um204" "hunbankshtr" "hhjobloss_um2E4";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, some attrition patt5, with mutually exclusive hhjobloss_um204 hhjobloss_um2E4" "hhjobloss_um204_vs_emp_restrictlev1_intr_hhjobloss_um2E4_patt5" "hhjobloss_um2E4";

****** Finished ******;
