* Unbanked CPS results, FDIC survey in first year of CPS, households - Mark Kutzbach
set more off
set linesize 140

clear all
macro drop _all
set matsize 800

* set version number and run name
global vnum="26"
global vers="ju11"
global verspost="main"
global datasuf=""

* vintage name
global vint="unbanked_${vnum}"
display "Analysis for Vintage name: ${vint}"

* programs
global projdir="C:\user\documents\Unbanked\vintages\\${vint}"
cd "$projdir"

#delimit;
****** Edits and Programs ******;

* Code for variable lists, sample restrictions, estimation, and outputs;
include unbanked${vnum}_programs_results.do;

****** Table 1 along with Appendix Table B3 *****;

* Summary Statistics for Sample of low earning renters, allow attrition, also selection into treatment;

* Remain employed;
sumstat "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_emp_restrictlev1" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs employed m2, m3, m4 - allow attrition" "${controlvars} ${controlvarstimeinds}";
* Subsequent job loss;
sumstat "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_m6_restrictlev1" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs job loss m6 - allow attrition" "${controlvars} ${controlvarstimeinds}";

****** Table 2 main results along with Table 3 nonbank financial services, and recency of being unbanked Appendix Table C1 ******;

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1" "hhjobloss_u_m2_vs_emp_restrictlev1";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1" "hhjobloss_u_m2_vs_m6_restrictlev1";

* Full estimates (Appendix Table B2);

* Remain employed;
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "replace" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
* Subsequent job loss;
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "replace" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "append" "covars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "append" "covars" "${controlvars}" "${controlvarstimeinds}";

* For Table 3 footnote on unbanked and using nonbank (In unreported results, we examined ... joint use of bank accounts and financial transaction products and services);

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 PP" "hhjobloss_u_m2" "hunbank1_pp";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 MO" "hhjobloss_u_m2" "hunbank1_mo";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 CC" "hhjobloss_u_m2" "hunbank1_cc";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 PW" "hhjobloss_u_m2" "hunbank1_pw";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 PD" "hhjobloss_u_m2" "hunbank1_pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1" "hhjobloss_u_m2_vs_emp_restrictlev1_unbnon";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 PP" "hhjobloss_u_m2" "hunbank1_pp";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 MO" "hhjobloss_u_m2" "hunbank1_mo";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 CC" "hhjobloss_u_m2" "hunbank1_cc";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 PW" "hhjobloss_u_m2" "hunbank1_pw";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb1 PD" "hhjobloss_u_m2" "hunbank1_pd";
outputresults "Unemployed now vs. later, M2, restrictlev1" "hhjobloss_u_m2_vs_m6_restrictlev1_unbnon";

****** Table 4 heterogeneity ******;

* see plots for Appendix Figure B2, Appendix Figure B3, Appendix Figure B4, below (search plotci);

*** Panel i ***;

* Interact by faminc;

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "faminc_ord_2";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "faminc_ord_2";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with interaction of faminc" "hhjobloss_u_m2_vs_emp_restrictlev1_intr_faminc" "faminc_ord_2";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "faminc_ord_2";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "faminc_ord_2";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with interaction of faminc" "hhjobloss_u_m2_vs_m6_restrictlev1_intr_faminc" "faminc_ord_2";

* Broader sample with no income restriction;
* Footnote: As a check on the breadth of our results, we re-estimated the analysis using a broader population of households. ;
* For this broader analysis (not shown), we define a Remain Employed and a Subsequent Job Loss sample without the restriction to lower-income renters ;
* (those households who are not homeowners and who have income below $40,000 in the last year).;

* Remain employed;
sumstat "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev2" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev2" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev2" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_emp_restrictlev2" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev2" "Note: Job loss m2 vs employed m2, m3, m4 - allow attrition" "${controlvars} ${controlvarstimeinds}";
* Subsequent job loss;
sumstat "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev2" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev2" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev2" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_m6_restrictlev2" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev2" "Note: Job loss m2 vs job loss m6 - allow attrition" "${controlvars} ${controlvarstimeinds}";

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev2, broader" "hhjobloss_u_m2_vs_emp_restrictlev2_broader";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev2, broader" "hhjobloss_u_m2_vs_m6_restrictlev2_broader";

* Broader sample with no income restriction - Interact by restrictlev for lower income renters;

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "lowincrent";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev2, broader, with interaction of lowincrent" "hhjobloss_u_m2_vs_emp_restrictlev2_intr_lowincrent" "lowincrent";
* linear combinations;
#delimit;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
matrix drop resultsall;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "lowincrent";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.lowincrent;
matrix drop resultsall;
*     hunbank |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval];
*         (1) |   .0460322   .0122577     3.76   0.000     .0220065    .0700579;
*         (1) |    .141327   .0340596     4.15   0.000     .0745687    .2080852;
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "lowincrent";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "lowincrent";
outputresultsintr "Unemployed now vs. later, M2, restrictlev2, broader, with interaction of lowincrent" "hhjobloss_u_m2_vs_m6_restrictlev2_intr_lowincrent" "lowincrent";
* linear combinations;
#delimit;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
matrix drop resultsall;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1, 2" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "lowincrent";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.lowincrent;
matrix drop resultsall;
*     hunbank |      Coef.   Std. Err.      t    P>|t|     [95% Conf. Interval];
*         (1) |   .0311635   .0159582     1.95   0.051    -.0001519     .062479;
*         (1) |   .1925847   .0457437     4.21   0.000     .1028197    .2823497;

*** Panel ii ***;

* Interact by raceeth;

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "racehsp raceblk raceoth";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "racehsp raceblk raceoth";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with interaction of raceeth" "hhjobloss_u_m2_vs_emp_restrictlev1_intr_raceeth" "racehsp raceblk raceoth";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "racehsp raceblk raceoth";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "racehsp raceblk raceoth";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with interaction of raceeth" "hhjobloss_u_m2_vs_m6_restrictlev1_intr_raceeth" "racehsp raceblk raceoth";

*** Panel iii ***;

* Interact by year;

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019" "i.yfdic";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019" "i.yfdic";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with interaction of yfdic" "hhjobloss_u_m2_vs_emp_restrictlev1_intr_yfdic" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019" "i.yfdic";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019" "i.yfdic";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with interaction of yfdic" "hhjobloss_u_m2_vs_m6_restrictlev1_intr_yfdic" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019";

****** Figure 4 rotation group in survey month ******;

* Interact by Month (each month alone);

* see plots below (search plotci);

* Text: While some of these rotation group estimates are statistically significant from zero, ;
* they are not (alone or in combination) statistically different from the “effect” for rotation group 1.

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank" "start_seq_1 start_seq_2 start_seq_3" "i.start_seq";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "start_seq_1 start_seq_2 start_seq_3" "i.start_seq";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with interaction of start_seq_1 start_seq_2 start_seq_3" "hhjobloss_u_m2_vs_emp_restrictlev1_intr_start_seq_alli" "start_seq_1 start_seq_2 start_seq_3";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank" "start_seq_1 start_seq_2 start_seq_3" "i.start_seq";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "start_seq_1 start_seq_2 start_seq_3" "i.start_seq";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with interaction of start_seq_1 start_seq_2 start_seq_3" "hhjobloss_u_m2_vs_m6_restrictlev1_intr_start_seq_alli" "start_seq_1 start_seq_2 start_seq_3";

* Interact by Month (post months 1 2 3 pooled);

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank" "start_seq_123" "i.start_seq";
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "start_seq_123" "i.start_seq";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with interaction of start_seq_123" "hhjobloss_u_m2_vs_emp_restrictlev1_intr_start_seq_all123" "start_seq_123";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank" "start_seq_123" "i.start_seq";
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr" "start_seq_123" "i.start_seq";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with interaction of start_seq_123" "hhjobloss_u_m2_vs_m6_restrictlev1_intr_start_seq_all123" "start_seq_123";

****** Table 6 job loss and re-employed in month 4 ******;

* Interact by HH employed in month 4;

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_um204" "hunbank" "hhjobloss_um2E4";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with mutually exclusive hhjobloss_um204 hhjobloss_um2E4, emp" "hhjobloss_um204_vs_emp_restrictlev1_intr_hhjobloss_um2E4" "hhjobloss_um2E4";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_um204" "hunbank" "hhjobloss_um2E4";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with mutually exclusive hhjobloss_um204 hhjobloss_um2E4, m6" "hhjobloss_um204_vs_m6_restrictlev1_intr_hhjobloss_um2E4" "hhjobloss_um2E4";

* Footnote: In an alternative specification, we disaggregated the Job Loss treatment group into two sub-groups based on employment status ;
* in the first month observed in the year after the FDIC supplement, i.e., in MIS=5. ;
* Estimation results using this specification (omitted for brevity) are qualitatively similar to those presented in Table 6.;

* Interact by HH employed in month 5;
* Note, um2E5, re-employed in MIS 5, includes cases where one member lost and found, while another stayed lost;

* Remain employed;
estmodcpsintr "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_um205" "hunbank" "hhjobloss_um2E5";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with mutually exclusive hhjobloss_um205 hhjobloss_um2E5, no attrition" "hhjobloss_um205_vs_emp_restrictlev1_intr_hhjobloss_um2E5" "hhjobloss_um2E5";
* Subsequent job loss;
estmodcpsintr "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_um205" "hunbank" "hhjobloss_um2E5";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with mutually exclusive hhjobloss_um205 hhjobloss_um2E5, no attrition" "hhjobloss_um205_vs_m6_restrictlev1_intr_hhjobloss_um2E5" "hhjobloss_um2E5";

****** Table 7 reasons for being unbanked ******;

* financial or non-financial;

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Reason fin." "hhjobloss_u_m2" "hunbank_rfin";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Reason oth." "hhjobloss_u_m2" "hunbank_roth";
outputresults "Unemployed vs. Employed, M2, restrictlev1" "hhjobloss_u_m2_vs_emp_restrictlev1_reasonunb";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Reason fin." "hhjobloss_u_m2" "hunbank_rfin";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Reason oth." "hhjobloss_u_m2" "hunbank_roth";
outputresults "Unemployed now vs. later, M2, restrictlev1" "hhjobloss_u_m2_vs_m6_restrictlev1_reasonunb";

****** Table 8 number of employed adults in household ******;

* one employed adult in household;

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1 for household size =1 employed" "hhjobloss_u_m2_vs_emp_restrictlev1_hhnumemp1";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1 for household size =1 employed" "hhjobloss_u_m2_vs_m6_restrictlev1_hhnumemp1";

* two or more employed adults in household;

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1 for household size >1 employed" "hhjobloss_u_m2_vs_emp_restrictlev1_hhnumemp0";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1 for household size >1 employed" "hhjobloss_u_m2_vs_m6_restrictlev1_hhnumemp0";

****** Table 10 and Appendix Table B4 alternative samples ******;

*** Panel i ***;

* No attrition in MIS 5-8;

* Remain employed;
sumstat "hhjobloss_0_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1_noatt" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1_noatt" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_emp_inv_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1_noatt" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_emp_restrictlev1_noatt" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs employed m2, m3, m4 - no attrition" "${controlvars} ${controlvarstimeinds}";
* Subsequent job loss;
sumstat "hhjobloss_0_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1_noatt" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1_noatt" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_m6_inv_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1_noatt" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_m6_restrictlev1_noatt" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs job loss m6 - no attrition" "${controlvars} ${controlvarstimeinds}";

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1 - no attrition" "hhjobloss_u_m2_vs_emp_restrictlev1_noatt";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6_noatt" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1 - no attrition" "hhjobloss_u_m2_vs_m6_restrictlev1_noatt";

*** Panel ii ***;

* No 2019 main specification;
* (also run another vintage imposing this restriction on all results, available upon request, see vintage_yr);
* Footnote: Similarly, the estimation results presented in Tables 3, 4, 5, and 6 are robust to removing year 2019 observations from the sample;

* Remain employed;
sumstat "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "restrictlev1_no2019" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "restrictlev1_no2019" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "restrictlev1_no2019" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_emp_restrictlev1_no2019" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs employed m2, m3, m4 - allow attrition, no 2019" "${controlvars} ${controlvarstimeinds}";
* Subsequent job loss;
sumstat "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "restrictlev1_no2019" "hhjobloss_0_m2";
sumstat "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "restrictlev1_no2019" "hhjobloss_u_m2";
sumstat "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "restrictlev1_no2019" "hhjobloss_u_m2inv";
treatexplain "est_hhjobloss_0_m2 est_hhjobloss_u_m2 est_hhjobloss_u_m2inv" "m2_vs_m6_restrictlev1_no2019" "hhjobloss_0_m2 hhjobloss_u_m2 hhjobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1" "Note: Job loss m2 vs job loss m6 - allow attrition, no2019" "${controlvars} ${controlvarstimeinds}";

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1 - no 2019" "hhjobloss_u_m2_vs_emp_restrictlev1_no2019";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "Unb long" "hhjobloss_u_m2" "hunbanklong";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "2011, 2013, 2015, 2017" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1 - no 2019" "hhjobloss_u_m2_vs_m6_restrictlev1_no2019";

*** Panel iii ***;

* HH not employed in MIS need to look at vintage 22;

****** Appendix Table B5 alternative definitions of job loss ******;

* Involuntary unemployment job loss;

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2inv" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2inv" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2inv" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2inv" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2inv" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2inv" "use12pd";
outputresults "Involuntary unemployed vs. Employed, M2, restrictlev1" "hhjobloss_u_m2_vs_emp_inv_restrictlev1";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2inv" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2inv" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2inv" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2inv" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2inv" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2inv" "use12pd";
outputresults "Involuntary unemployed now vs. later, M2, restrictlev1" "hhjobloss_u_m2_vs_m6_inv_restrictlev1";

* Nonemployment: out of labor force or unemployment job loss

* Remain employed;
estmodcps "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_0_m2" "hunbank";
estmodcps "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_0_m2" "use12pp";
estmodcps "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_0_m2" "use12mo";
estmodcps "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_0_m2" "use12cc";
estmodcps "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_0_m2" "use12pw";
estmodcps "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_0_m2" "use12pd";
outputresults "Not employed vs. Employed, M2, restrictlev1" "hhjobloss_0_m2_vs_emp_restrictlev1";
* Subsequent job loss;
estmodcps "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_0_m2" "hunbank";
estmodcps "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_0_m2" "use12pp";
estmodcps "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_0_m2" "use12mo";
estmodcps "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_0_m2" "use12cc";
estmodcps "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_0_m2" "use12pw";
estmodcps "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_0_m2" "use12pd";
outputresults "Not employed now vs. later, M2, restrictlev1" "hhjobloss_0_m2_vs_m6_restrictlev1";

****** Appendix Table B6 Probit specification ******;

* Remain employed;
estmodcpsprobit "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcpsprobit "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcpsprobit "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcpsprobit "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcpsprobit "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcpsprobit "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1" "hhjobloss_u_m2_vs_emp_restrictlev1_probit";
* Subsequent job loss;
estmodcpsprobit "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
outputresults "Unemployed now vs. later, M2, restrictlev1" "hhjobloss_u_m2_vs_m6_restrictlev1_probit";

* Footnote: One concern with a linear probability model (relative to probit or logit) is that ;
* predicted effects may stray from the zero to one range implied by the binary outcome.;

* predicted values, relevant for using linear probability model;
linprobpred "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
linprobpred "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";

****** Appendix Table A1 Oster robustness check ******;

* Remain employed;
estoster "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "0.5";
estoster "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "0.667";
estoster "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "1";
estoster "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "1.5";
estoster "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "2";
outputresults "Unemployed vs. Employed, M2, restrictlev1, Oster 2019" "hhjobloss_u_m2_vs_emp_restrictlev1_oster";
* Subsequent job loss;
estoster "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "0.5";
estoster "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "0.667";
estoster "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "1";;
estoster "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "1.5";
estoster "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "2";
outputresults "Unemployed now vs. later, M2, restrictlev1, Oster 2019" "hhjobloss_u_m2_vs_m6_restrictlev1_oster";

****** Extra variables: FINRA and BankOn ******;

* Footnote: As a further check on whether omitted variables might be driving our results, we estimated several alternative specifications, ;
* for example adding controls for: (1) state-year level estimates of financial literacy, using data from FINRA’s National Financial Capability Study, ;
* collected every three years from 2009 to 2021 (question M1_1: “I am good at dealing with day-today financial matters …”), (2) the state-year level ;
* share of bank branches of banks that offer accounts that meet the CFE (2020) Bank On account standards, and (3) state-level fixed effects. ;
* In each case, adding these controls made little or no difference for the estimated job loss effects presented in the paper.;

* FINRA financial literacy by state/FDICyear and by state;
* -	M1_1: I am good at dealing with day-today financial matters, such as checking accounts, credit and debit cards, and tracking expenses;
*	Rate 1-7, 7 is strongly agree and 1 is strongly disagree;
* created a binary = 1 if M1_1 >= 6, and = 0 otherwise (unless M1 is unknown in which case I set to missing);
* finlit_m1_oursmpl: varies by year, with linearly interpolated values between the FINRA survey years (in 2009/12/15/18/21);
* s_finlit_m1_oursmpl: time-invariant, so it varies across states but not across years;
* oursmpl suffix refers to filtered to renter HHs with income < $50k.;
* (FINRA income groups do not align perfectly with the <40k ceiling in our analysis); 

* BankOn branches by state/FDICyear;
* combined dataset with the number of Bank On certified banks as well as the total number of retail branches (SOD);
* Organized by state and year for the years 2008 to 2021;
* bankonshare: BankOn share of retail branches;
* bankonpercap: BankOn branches per 100,000 people in a state;

* Remain employed (first specification is main result);
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "replace" "extravars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} finlit_m1_oursmpl" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} s_finlit_m1_oursmpl" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} bankonshare" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} bankonpercap" "${controlvarstimeinds}";
* Subsequent job loss (first specification is main result);
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "replace" "extravars" "${controlvars}" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} finlit_m1_oursmpl" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} s_finlit_m1_oursmpl" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} bankonshare" "${controlvarstimeinds}";
estmodcpsfull "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "append" "extravars" "${controlvars} bankonpercap" "${controlvarstimeinds}";

****** Geography controls ******;

* Footnote: As a robustness check, we also included controls for geography (e.g., Census region, metropolitan status, state), doing so had little effect on our estimates.;

* Region (northeast, midwest, south, west) controls (region_ne region_mw region_so region_we);

* Remain employed (first specification is main result);
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb NoRg" "hhjobloss_u_m2" "hunbank" "${controlvarstime}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
outputresults "Unemployed vs. Employed, M2, restrictlev1, region controls region_ne region_mw region_so region_we" "hhjobloss_u_m2_vs_emp_restrictlev1_regions";
* Subsequent job loss (first specification is main result);
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb NoRg" "hhjobloss_u_m2" "hunbank" "${controlvarstime}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "${controlvarstime} region_ne region_mw region_we" "${controlvars}";
outputresults "Unemployed now vs. later, M2, restrictlev1, regions controls region_ne region_mw region_so region_we" "hhjobloss_u_m2_vs_m6_restrictlev1_regions";

* Metropolitan status (non-metro, under a million, over a million) controls (cbsasz_nonmet cbsasz_undmil cbsasz_ovrmil);

* Remain employed (first specification is main result);
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb NoMt" "hhjobloss_u_m2" "hunbank" "${controlvarstime}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
outputresults "Unemployed vs. Employed, M2, restrictlev1, metro status controls cbsasz_nonmet cbsasz_undmil cbsasz_ovrmil" "hhjobloss_u_m2_vs_emp_restrictlev1_metro";
* Subsequent job loss (first specification is main result);
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb NoMt" "hhjobloss_u_m2" "hunbank" "${controlvarstime}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "${controlvarstime} cbsasz_nonmet cbsasz_undmil" "${controlvars}";
outputresults "Unemployed now vs. later, M2, restrictlev1, metro status controls cbsasz_nonmet cbsasz_undmil cbsasz_ovrmil" "hhjobloss_u_m2_vs_m6_restrictlev1_metro";

* State FE controls;
global controlvarstimestfe="i.yfdic";
global controlvarstimestfe="${controlvarstimestfe} i.start_seq";
global controlvarstimestfe="${controlvarstimestfe} i.statefip";

* Remain employed (first specification is main result);
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb NoST" "hhjobloss_u_m2" "hunbank" "${controlvarstime}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "${controlvarstimestfe}" "${controlvars}";
outputresults "Unemployed vs. Employed, M2, restrictlev1, state fe" "hhjobloss_u_m2_vs_emp_restrictlev1_statefe";
* Subsequent job loss (first specification is main result);
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb NoST" "hhjobloss_u_m2" "hunbank" "${controlvarstime}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw" "${controlvarstimestfe}" "${controlvars}";
estmodcpscont "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd" "${controlvarstimestfe}" "${controlvars}";
outputresults "Unemployed now vs. later, M2, restrictlev1, state fe" "hhjobloss_u_m2_vs_m6_restrictlev1_statefe";

****** Alternative econometric models ******;

* Rotation group Fixed Effects (FE) - rather than dummy variables;

* Remain employed;
estmodcpsfe "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcpsfe "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcpsfe "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcpsfe "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcpsfe "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcpsfe "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1, FE for year and month" "hhjobloss_u_m2_vs_emp_restrictlev1_fe";
* Subsequent job loss;
estmodcpsfe "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcpsfe "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcpsfe "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcpsfe "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcpsfe "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcpsfe "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1, FE for year and month" "hhjobloss_u_m2_vs_m6_restrictlev1_fe";

* robust standard errors test vs VCE;

* Remain employed;
estmodcps "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcpsvce "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
outputresults "Unemployed vs. Employed, M2, restrictlev1 - robust se vs vce" "hhjobloss_u_m2_vs_emp_restrictlev1_secheck";
* Subsequent job loss;
estmodcps "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcpsvce "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
outputresults "Unemployed now vs. later, M2, restrictlev1 - robust se vs vce" "hhjobloss_u_m2_vs_m6_restrictlev1_secheck";

* Footnote: There were nine households with job loss in both the first and second year.;
* The main results are not sensitive to dropping these double job loss households from both the treatment group and the subsequent job loss control group.;

* Remain employed, ndjl no double job loss;
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_emp_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1, no double job loss" "hhjobloss_u_m2_vs_emp_restrictlev1_ndjl";
* Subsequent job loss, ndjl no double job loss;
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank";
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unb shtr" "hhjobloss_u_m2" "hunbankshtr";
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "PrepaidC" "hhjobloss_u_m2" "use12pp";
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS MO" "hhjobloss_u_m2" "use12mo";
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS CC" "hhjobloss_u_m2" "use12cc";
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PW" "hhjobloss_u_m2" "use12pw";
estmodcps "hhjobloss_u_m2_vs_m6_ndjl" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "AFS PD" "hhjobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1, no double job loss" "hhjobloss_u_m2_vs_m6_restrictlev1_ndjl";

****** Check covariate thickness (observation of treatment by outcome) ******;

covarthick "hhjobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_0_m2" "hunbank";
covarthick "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2" "hunbank";
covarthick "hhjobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2inv" "hunbank";
covarthick "hhjobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_0_m2" "hunbank";
covarthick "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2" "hunbank";
covarthick "hhjobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "restrictlev1" "hhjobloss_u_m2inv" "hunbank";

****** Plots in Figure 4, Appendix Figure B2, Appendix Figure B3, Appendix Figure B4 ******;

* see above for related Tables and estimates (search plotci);

* Appendix Figure B2;
* Must run within full do file, requires preamble at top of the file;
* for Stata figures, copy linear combination (lincom) values to input code of unbanked25_ju11_plotCI.do;

* Plot Unbanked by Family Income;
#delimit;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "faminc_ord_2";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.faminc_ord_2;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "faminc_ord_2";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.faminc_ord_2;
matrix drop resultsall;

* Appendix Figure B3;
* Must run within full do file, requires preamble at top of the file;
* for Stata figures, copy linear combination (lincom) values to input code of unbanked25_ju11_plotCI.do;

* Plot Unbanked by Race/Ethnicity;
#delimit;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "racehsp raceblk raceoth";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.racehsp;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.raceblk;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.raceoth;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "racehsp raceblk raceoth";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.racehsp;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.raceblk;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.raceoth;
matrix drop resultsall;

* Appendix Figure B4;
* Must run within full do file, requires preamble at top of the file;
* for Stata figures, copy linear combination (lincom) values to input code of unbanked25_ju11_plotCI.do;

* Plot Unbanked by Year;
#delimit;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2013;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2015;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2017;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2019;
matrix drop resultsall;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqbeg}" "Unbanked" "hhjobloss_u_m2" "hunbank" "yfdic_2013 yfdic_2015 yfdic_2017 yfdic_2019";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2013;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2015;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2017;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.yfdic_2019;
matrix drop resultsall;

* Figure 4;
* Must run within full do file, requires preamble at top of the file;
* for Stata figures, copy linear combination (lincom) values to input code of unbanked25_ju11_plotCI.do;

* Plot by MIS - see Interact by Month (each month) - all (start_seq 4 is when job loss after survey month, rotation group 1));
#delimit;
estmodcpsintr "hhjobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank" "start_seq_1 start_seq_2 start_seq_3" "i.start_seq";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.start_seq_3;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.start_seq_2;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.start_seq_1;
matrix drop resultsall;
estmodcpsintr "hhjobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "yfdic" "${yearsall}" "start_seq" "${seqall}" "Unbanked" "hhjobloss_u_m2" "hunbank" "start_seq_1 start_seq_2 start_seq_3" "i.start_seq";
lincom 1.hhjobloss_u_m2 + 0;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.start_seq_3;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.start_seq_2;
lincom 1.hhjobloss_u_m2 + 1.hhjobloss_u_m2#1.start_seq_1;
matrix drop resultsall;

****** Finished ******;


