* Unbanked CPS results, FDIC survey in first year of CPS, persons - Mark Kutzbach
set more off
set linesize 140

clear all
macro drop _all
set matsize 800

* set version number and run name
global vnum="26"
global vers="ju11"
global verspost="personest"
global datasuf="_personest"

* vintage name
global vint="unbanked_${vnum}"
display "Analysis for Vintage name: ${vint}"

* programs
global projdir="C:\user\documents\Unbanked\vintages\\${vint}"
cd "$projdir"

#delimit;
****** Edits and Programs ******;

* Code for variable lists, sample restrictions, estimation, and outputs;
include unbanked${vnum}_programs_results.do;

****** Table 9 Person-level effects of job loss on probability of being unbanked *****;

* Summary stats, Sample of low earning renters, allow attrition, one employed adults in household;

* Remain employed;
sumstat "jobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_0_m2";
sumstat "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2";
sumstat "jobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2inv";
treatexplain "est_jobloss_0_m2 est_jobloss_u_m2 est_jobloss_u_m2inv" "m2_vs_emp_restrictlev1_hhnumemp1" "jobloss_0_m2 jobloss_u_m2 jobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1, one employed adults in household" "Note: Job loss m2 vs employed m2, m3, m4" "${controlvars} ${controlvarstimeinds}";
* Subsequent job loss;
sumstat "jobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_0_m2";
sumstat "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2";
sumstat "jobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2inv";
treatexplain "est_jobloss_0_m2 est_jobloss_u_m2 est_jobloss_u_m2inv" "m2_vs_m6_restrictlev1_hhnumemp1" "jobloss_0_m2 jobloss_u_m2 jobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1, one employed adults in household" "Note: Job loss m2 vs job loss m6" "${controlvars} ${controlvarstimeinds}";

* Summary stats, Sample of low earning renters, allow attrition, two or more employed adults in household;

* Remain employed;
sumstat "jobloss_0_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_0_m2";
sumstat "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2";
sumstat "jobloss_u_m2_vs_emp_inv" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2inv";
treatexplain "est_jobloss_0_m2 est_jobloss_u_m2 est_jobloss_u_m2inv" "m2_vs_emp_restrictlev1_hhnumemp0" "jobloss_0_m2 jobloss_u_m2 jobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1, two or more employed adults in household" "Note: Job loss m2 vs employed m2, m3, m4" "${controlvars} ${controlvarstimeinds}";
* Subsequent job loss;
sumstat "jobloss_0_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_0_m2";
sumstat "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2";
sumstat "jobloss_u_m2_vs_m6_inv" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "restrictlev1" "jobloss_u_m2inv";
treatexplain "est_jobloss_0_m2 est_jobloss_u_m2 est_jobloss_u_m2inv" "m2_vs_m6_restrictlev1_hhnumemp0" "jobloss_0_m2 jobloss_u_m2 jobloss_u_m2inv" ///
"Table: Explain Treament, restrictlev1, two or more employed adults in household" "Note: Job loss m2 vs job loss m6" "${controlvars} ${controlvarstimeinds}";

* Panel i, Sample of low earning renters, allow attrition, one employed adult in household;

* Remain employed;
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "Unbpes2a" "jobloss_u_m2" "unbankpes2a";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "Unbanked" "jobloss_u_m2" "hunbank";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "PrepaidC" "jobloss_u_m2" "use12pp";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS MO" "jobloss_u_m2" "use12mo";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS CC" "jobloss_u_m2" "use12cc";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PW" "jobloss_u_m2" "use12pw";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PD" "jobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1" "jobloss_u_m2_vs_emp_restrictlev1_hhnumemp1";
* Subsequent job loss;
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "Unbpes2a" "jobloss_u_m2" "unbankpes2a";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "Unbanked" "jobloss_u_m2" "hunbank";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "PrepaidC" "jobloss_u_m2" "use12pp";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS MO" "jobloss_u_m2" "use12mo";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS CC" "jobloss_u_m2" "use12cc";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PW" "jobloss_u_m2" "use12pw";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "1" "start_seq" "${seqbeg}" "AFS PD" "jobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1" "jobloss_u_m2_vs_m6_restrictlev1_hhnumemp1";

* Panel ii, Sample of low earning renters, allow attrition, two or more employed adults in household;

* Remain employed;
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbpes2a" "jobloss_u_m2" "unbankpes2a";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbanked" "jobloss_u_m2" "hunbank";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "PrepaidC" "jobloss_u_m2" "use12pp";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS MO" "jobloss_u_m2" "use12mo";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS CC" "jobloss_u_m2" "use12cc";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PW" "jobloss_u_m2" "use12pw";
estmodcps "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PD" "jobloss_u_m2" "use12pd";
outputresults "Unemployed vs. Employed, M2, restrictlev1" "jobloss_u_m2_vs_emp_restrictlev1_hhnumemp0";
* Subsequent job loss;
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbpes2a" "jobloss_u_m2" "unbankpes2a";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbanked" "jobloss_u_m2" "hunbank";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "PrepaidC" "jobloss_u_m2" "use12pp";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS MO" "jobloss_u_m2" "use12mo";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS CC" "jobloss_u_m2" "use12cc";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PW" "jobloss_u_m2" "use12pw";
estmodcps "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "AFS PD" "jobloss_u_m2" "use12pd";
outputresults "Unemployed now vs. later, M2, restrictlev1" "jobloss_u_m2_vs_m6_restrictlev1_hhnumemp0";

* Panel iii, Sample of low earning renters, allow attrition, two or more employed adults in household;
* Interact by other person job loss;

* Remain employed;
estmodcpsintr "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbpes2a" "jobloss_u_m2" "unbankpes2a" "othjobloss_u_m2";
estmodcpsintr "jobloss_u_m2_vs_emp" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbanked" "jobloss_u_m2" "hunbank" "othjobloss_u_m2";
outputresultsintr "Unemployed vs. Employed, M2, restrictlev1, with interaction of othjobloss_u_m2" "jobloss_u_m2_vs_emp_restrictlev1_intr_othjobloss_u_m2" "othjobloss_u_m2";
* Subsequent job loss;
estmodcpsintr "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbpes2a" "jobloss_u_m2" "unbankpes2a" "othjobloss_u_m2";
estmodcpsintr "jobloss_u_m2_vs_m6" "1" "restrictlev" "0, 1" "hhnumemp1" "0" "start_seq" "${seqbeg}" "Unbanked" "jobloss_u_m2" "hunbank" "othjobloss_u_m2";
outputresultsintr "Unemployed now vs. later, M2, restrictlev1, with interaction of othjobloss_u_m2" "jobloss_u_m2_vs_m6_restrictlev1_intr_othjobloss_u_m2" "othjobloss_u_m2";

****** Finished ******;

